Bug 242632 - The Status fields should be sorted by the logical order of the statuses, not alphabetically
Summary: The Status fields should be sorted by the logical order of the statuses, not ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Reporting/Charting (Show other bugs)
(Show other bugs)
Version: 2.18
Hardware: All Linux
low
low vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 07:10 UTC by Jan Pazdziora
Modified: 2018-12-10 14:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-12-10 14:09:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Pazdziora 2007-06-05 07:10:19 UTC
Description of problem:

If you have a report with Status on Horizontal or Vertical Axis, the values (and
thus the rows / columns) are sorted alphabetically -- CLOSED, MODIFIED, NEW,
ON_QA ... It would be nice to have this sorted in a way the bugs pass through
the states -- NEW, ASSIGNED, MODIFIED, ... CLOSED. That way it would more nicely
show how many bugs are at the start of the process and how many are near the end
or already CLOSED.

Version-Release number of selected component (if applicable):

2.18-rh

How reproducible:

Deterministic.

Steps to Reproduce:
1. Go to 
https://bugzilla.redhat.com/bugzilla/report.cgi?x_axis_field=bug_status&y_axis_field=assigned_to&z_axis_field=&query_format=report-table&short_desc_type=allwordssubstr&short_desc=&product=Red+Hat+Network&component_text=&query_format=report-table&long_desc_type=substring&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&fixed_in_type=allwordssubstr&fixed_in=&qa_whiteboard_type=allwordssubstr&qa_whiteboard=&devel_whiteboard_type=allwordssubstr&devel_whiteboard=&keywords_type=allwords&keywords=&cust_facing=&cust_facing_type=substring&emailassigned_to1=1&emailtype1=exact&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=exact&email2=&bugidtype=include&bug_id=&votes=&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&format=table&action=wrap&field0-0-0=blocked&type0-0-0=equals&value0-0-0=173432
2. Observe the order of columns.
  
Actual results:

CLOSED  	MODIFIED  	NEW  	ON_QA  	VERIFIED  	 Total

Expected results:

NEW MODIFIED ON_QA VERIFIED CLOSED Total

Additional info:

Comment 1 Jan Pazdziora 2008-08-19 10:12:08 UTC
With current bugzilla version 3.2, the ordering has indeed changed. Closing with CURRENTRELEASE.

Comment 2 Petr Matyáš 2018-12-10 09:06:44 UTC
This is happening again on BZ version 5.0.4.rh10

Comment 3 Laszlo Ersek 2018-12-10 14:09:58 UTC
Hi Petr, I've just reported bug 1657824, independently.

I suggest that we leave this historical BZ (i.e., bug 242632) lie. This one was filed for Bugzilla version 2.18. Simply reopening it will do no good (without bumping the Version field). And, unlike in Fedora, we should *not* bump the version field, as the original issue and solution were indeed tied to Bugzilla v2.18. So let's please continue in bug 1657824. Thanks!


Note You need to log in before you can comment on or make changes to this bug.